

# Install Toolbox

Vapor's command line interface provides shortcuts and assistance for common tasks.

Tip

If you do not want to use the Toolbox or templates, checkout the Manual quickstart.

## Help

Help prints useful information about available commands and flags. You can also run the `--help` option on any Toolbox command.

    vapor --help

### Application Commands

The `vapor run` command is a special toolbox command that forwards to your Vapor application.

You can use `vapor run serve` to boot your application, or `vapor run help` to view all available application-level commands. This includes custom commands you may have added to your application.

Warning

Using `vapor run --help` will provide information about the `run` command itself and will not forward to your Vapor application.

## Updating

The toolbox should be updated by the package manager it was installed with.

### Homebrew

    brew upgrade vapor

### APT

    sudo apt-get update
    sudo apt-get install vapor

## Templates

The toolbox can create a project from the Vapor basic-template or any other git repo.

    vapor new <name> [--template]

Name | Flag | Description
--- | --- | ---
API | --template=api | JSON API with Fluent database.
Web | --template=web | HTML website with Leaf templates.

View a list of all templates on GitHub.

Note

If you do not specify a template option, the API template will be used. This may change in the future.

### Options

The toolbox will build an absolute URL based on what you pass as the template option.

- `--template=web` clones `http://github.com/vapor/web-template`
- `--template=user/repo` clones `http://github.com/user/repo`.
- `--template=http://example.com/repo-path` clones the full url given.
- `--branch=foo` can be used to specify a branch besides `master`.